List phone numbers
GET
/v2/portal/account/phone-numbers
curl --request GET \ --url https://api.sipstack.com/v2/portal/account/phone-numbers \ --header 'Authorization: Bearer <token>'import requests
url = "https://api.sipstack.com/v2/portal/account/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/v2/portal/account/phone-numbers';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'GET', url: 'https://api.sipstack.com/v2/portal/account/phone-numbers', headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Returns the organization’s phone numbers with assignments, plus DID limit metadata.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Phone numbers and limits.
Media type application/json
object
success
boolean
data
Array<object>
object
id
integer
number
string
friendlyName
string
status
string
capabilities
object
voice
boolean
sms
boolean
meta
object
didCount
integer
didLimit
integer
voiceLimit
-1 = unlimited
integer
canAddDid
boolean
Example
{ "data": [ { "number": "+16473001234", "status": "active" } ]}Not authenticated.